# include "vfieldfunc.h"
# include <math.h>

/* 2D Fitzhugh-Nagumo equation
 Input:  (t, Y, p)
    t -- scalar (ignored)
    y -- phase-space vector [x; y]
    p -- parameter vector [a;b;c;e]

 Output: 2-vector f 

   x_dot = (y+x-x^3/3)
   y_dot = -e (ax+b+cy)

*/

void vfieldfunc(unsigned n,  double t, double* y, double* p, double* f)
{

  f[0] = y[1] + y[0] -y[0]*y[0]*y[0]/3;
  f[1] = -p[3]*(p[0]*y[0]+p[1]+p[2]*y[1]);
} 

void eventfunc (unsigned ndims, double t, double *y, double *params, 
	int ievent, double &value, int &isterminal, int &direction)
{
	switch (ievent)
	{
	case 0:
		value = y[1]*y[1] - 100.0;
		isterminal = 0;
		direction = 1;
		break;
	}
} 
