function [ pout, sud ] = fhn2d_hom_e( p)
%Secant method iteration to homoclinic orbit in the FitzHugh-Nagumo model
%as the parameter $e$ varies
nit = 10;
pinc = 1e-3;
pd = zeros(nit,3);
sud = hom_diff(p);
pd(1,:) = [p(4), sud];
p(4) = p(4) + pinc;
sud = hom_diff(p);
pd(2,:) = [p(4), sud];
for j= 3:nit
p(4) = pd(j-1,1) - pd(j-1,2)*(pd(j-1,1) - pd(j-2,1))/(pd(j-1,2) - pd(j-2,2));
sud = hom_diff(p);
pd(j,:) = [p(4),sud];
if max(abs(sud)) < 1e-13
pout = p;
iter = j;
break
end
end
end