function [ eqm ] = fhn_eq(cf)
% Equilibria of FitzHugh-Nagumo equation
% Input: [a,b,c]
% Output: Equilibrium pairs

% Matlab polynomial as vector
pl = [cf(3)/3 0 cf(1)-cf(3) cf(2)];
% Roots of cubic
r = roots(pl);
% Indices of real roots
rr = find(imag(r) == 0);
% Matrix to hold equilibria
eqm = zeros(length(rr),2);
% Equilibria
for j = 1:length(rr);
    u = r(rr(j));
    v = -(cf(1)*u+cf(2))/cf(3);
    eqm(j,:) = [u,v];
end

